<solidify-empty-container (onEscape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [editAvailable]="editAvailable"
                                  [deleteAvailable]="deleteAvailable"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-preservation-policy-form #formPresentational
                                         (dirtyChange)="updateCanDeactivate($event)"
                                         (editChange)="edit()"
                                         (submitChange)="update($event)"
                                         *ngIf="isReadyToBeDisplayedObs | async"
                                         [editAvailable]="editAvailable"
                                         [model]="currentObs | async"
                                         [readonly]="!isEdit"
    >
    </dlcm-admin-preservation-policy-form>
  </div>
</solidify-empty-container>
